<template name="calendarPage">
	{{> calendarNavMulti date=startDate setIsAttendeeFilterOn=setterToBePassedToChild}}
	<div class="container calendar-container">
		<div class="page-component">
			{{#if Template.subscriptionsReady}}
				{{#each day in days}}
					{{> calendarDay day=day filter=instance.filter isAttendeeFilterOn=isAttendeeFilterOn}}
				{{/each}}
			{{else}}
				{{> loadingRow}}
			{{/if}}
		</div>

	</div>
</template>

<template name="calendarDay">
	<div class="js-calendar-date calendar-date">
		{{calendarDayFormat day.start}}
	</div>
	<div class="calendar-date-body">
		<div class="vr"></div>
		{{#if hasEvents}}
			<div class="calendar-event-list">
				{{> eventList dataEvents=(maybeFilteredEvents events isAttendeeFilterOn=isAttendeeFilterOn) withDate=false withImage=true}}
				{{! maybeFilteredEvents is a template helper that gives back a list of events in function of two arguments: events and isAttendeeFilterOn }}
			</div>
		{{else}}
			<div class="no-calendar-event">
				<p>{{i18n 'calendar.noCoursesThisDay' "There are no events on this day"}}</p>
			</div>
		{{/if}}
	</div>
</template>
